import 'package:cl_appbase/appbase.dart';
import 'package:cl_appbase/src/api/api_resource.dart';

import 'comment_dto.dart';
import 'post_dto.dart';

class PlaceholderApi extends ApiBase {
  late final posts = ApiResource(this, '/posts', Post.factory);
  late final comments =
      ApiResource(this, '/posts/{postId}/comments', Comment.factory);

  PlaceholderApi() : super('https://jsonplaceholder.typicode.com');
}
